get
https://{app-url}{}/api/v2/forecast/tasks//results
Retrieve forecast results for a specific task
Request Parameters:
This call returns the results for all the metrics in a specific task.
| Parameter | Type | Description / Example |
|---|---|---|
| forecastTaskId | string ($uuid) | Unique identifier of the forecast task (can be retrieved from the GET Forecast Tasks endpoint) |
Response Fields:
The response is an array of forecast results. Each result represents a set of predicted data points for a metric. Each data point (per timestamp) includes a predicted value and a confidence band. The confidence band is defined as a range between
lowerBandandupperBand
| Field | Type | Description / Example |
|---|---|---|
| last_forecast_ts | timestamp (epoch) | The timestamp from which the forecast begins. For example, for a 7-day daily forecast, if last_forecast_ts is May 5, 2026, the forecast will cover May 6 through May 12, 2026. |
| last_updated_ts | timestamp (epoch) | The time when this record was last updated |
| metric_id | string | Name of the forecasted metric |
| points | array | Array of forecasted data points |
